import { jsx } from "react/jsx-runtime";
import "react";
import { observer } from "@tachybase/schema";
import { Tag } from "antd";
import { useCompile } from "../../../schema-component/index.mjs";
import { useCollectionManager_deprecated } from "../../hooks/index.mjs";
const CollectionFieldInterfaceTag = observer((props)=>{
    const { value } = props;
    const { getInterface } = useCollectionManager_deprecated();
    const compile = useCompile();
    const schema = getInterface(value);
    if (!schema) return null;
    return /*#__PURE__*/ jsx(Tag, {
        children: compile(schema.title)
    });
}, {
    displayName: 'CollectionFieldInterfaceTag'
});
export { CollectionFieldInterfaceTag };
